[Risolto] Errore all'avvio del server sponge

  • Pagine ({1}):
  • 1
  • 2
  • »
Un mio amico mi ha chiesto di risolvergli questo problema, usa l'avvio classico del server:

@echo off
java -Xmx4G -Xms4G -jar sponge.jar
pause

ma restituisce l'errore:

Exception in thread "main" java.lang.UnsupportedClassVersionError: org/spongepowered/launch/Main : Unsupported major.min
or version 52.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at java.security.SecureClassLoader.defineClass(Unknown Source)
at java.net.URLClassLoader.defineClass(Unknown Source)
at java.net.URLClassLoader.access$100(Unknown Source)
at java.net.URLClassLoader$1.run(Unknown Source)
at java.net.URLClassLoader$1.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at sun.launcher.LauncherHelper.checkAndLoadMain(Unknown Source)

Usa java 7u80 con windows xp ( non conosco per nulla windows xp, per questo chiedo xD )

Grazie.
Secondo me dovrebbe aggiornare il Sistema Operativo e Java.
Ricorda di lasciarmi un punto Rep [Immagine: IM8d6tb.png] ed un Like [Immagine: 7vpDvBC.png]!

[Immagine: a.php?i=2&h=Ti+serve+aiuto%3F&t=Puoi+contattarmi%21]
Lo so... ma con un Pentium da 1 core e 1 thread non puoi pretendere che supporti windows vista o 7 ;D
30/07/2018, 12:28_FabioTNT ha scritto: Lo so... ma con un Pentium da 1 core e 1 thread non puoi pretendere che supporti windows vista o 7 ;D

Non è un PC da Server, dubito che abbia più di 4GB di RAM, probabilmente ne avete dedicata troppa. (Modificato 30/07/2018, 12:30 da EdwardTheKnight.)
Ricorda di lasciarmi un punto Rep [Immagine: IM8d6tb.png] ed un Like [Immagine: 7vpDvBC.png]!

[Immagine: a.php?i=2&h=Ti+serve+aiuto%3F&t=Puoi+contattarmi%21]
ha 8 gb ( ha provato a metterne 12 ma non li supporta) comunque darebbe l'errore

Invalid initial heap size: -Xms4G
The specified size exceeds the maximum representable size.
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit. (Modificato 30/07/2018, 12:33 da Modder05.)
30/07/2018, 12:32_FabioTNT ha scritto: ha 8 gb ( ha provato a metterne 12 ma non li supporta) comunque darebbe l'errore

Invalid initial heap size: -Xms4G
The specified size exceeds the maximum representable size.
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.

Provate ad avviare il server dedicando 1GB di RAM.
Ricorda di lasciarmi un punto Rep [Immagine: IM8d6tb.png] ed un Like [Immagine: 7vpDvBC.png]!

[Immagine: a.php?i=2&h=Ti+serve+aiuto%3F&t=Puoi+contattarmi%21]
gia provato, non è un errore della RAM dedicata (Modificato 30/07/2018, 12:40 da Modder05.)
30/07/2018, 12:39_FabioTNT ha scritto: gia provato, non è un errore della RAM dedicata

Avete provato ad avviare un semplice server Vanilla? (Modificato 30/07/2018, 12:41 da EdwardTheKnight.)
Ricorda di lasciarmi un punto Rep [Immagine: IM8d6tb.png] ed un Like [Immagine: 7vpDvBC.png]!

[Immagine: a.php?i=2&h=Ti+serve+aiuto%3F&t=Puoi+contattarmi%21]
restituisce sempre lo stesso errore (Modificato 30/07/2018, 12:48 da Modder05.)
30/07/2018, 12:44_FabioTNT ha scritto: restituisce sempre lo stesso errore

Avete aggiornato Java? (Modificato 30/07/2018, 12:50 da EdwardTheKnight.)
Ricorda di lasciarmi un punto Rep [Immagine: IM8d6tb.png] ed un Like [Immagine: 7vpDvBC.png]!

[Immagine: a.php?i=2&h=Ti+serve+aiuto%3F&t=Puoi+contattarmi%21]
non è compatibile con windows xp

java 7u80 è l'ultima versione java compatibile con windows xp

ho già provato anche a fare un downgrade a java 7u51 e a java 7u45 (Modificato 30/07/2018, 12:53 da Modder05.)
Qual è il modello specifico del Processore? (Modificato 30/07/2018, 12:52 da EdwardTheKnight.)
Ricorda di lasciarmi un punto Rep [Immagine: IM8d6tb.png] ed un Like [Immagine: 7vpDvBC.png]!

[Immagine: a.php?i=2&h=Ti+serve+aiuto%3F&t=Puoi+contattarmi%21]
Pentium, ma comunque non centra il processore (Modificato 30/07/2018, 12:54 da Modder05.)
Secondo me quel PC non è in grado di supportare un server, vi consiglio di acquistare nuovi componenti oppure abbonarvi ad un sito di Hosting. (Modificato 30/07/2018, 12:58 da EdwardTheKnight.)
Ricorda di lasciarmi un punto Rep [Immagine: IM8d6tb.png] ed un Like [Immagine: 7vpDvBC.png]!

[Immagine: a.php?i=2&h=Ti+serve+aiuto%3F&t=Puoi+contattarmi%21]
qualsiasi pc che ha più di 1 gb di RAM può supportare un server, anche se faticosamente, lo può fare
quindi, anche se non è un computer da server, le basse prestazioni non influiscono sul funzionamento del software, ma bensi influenzano la velocità di esso (Modificato 30/07/2018, 13:04 da Modder05.)
  • Pagine ({1}):
  • 1
  • 2
  • »
Discussioni simili
Risposta di jefuhr
03/09/2018, 21:38
Risposta di zBoringDrop
07/07/2018, 21:42
Risposta di Maxetto
03/06/2018, 00:03
Risposta di Luchinorti
24/04/2018, 20:43

Utente(i) che stanno guardando questa discussione: 1 Ospite(i)